Subject: [VRRP] ipv6 multicast address

From: Huafeng Lu <[email-masked]>
Date: Wed, 20 Aug 2008 17:25:31 +0800

Hi,

The following is stated in the draft:

5.1.2.2.  Destination Address

   The IPv6 multicast address as assigned by the IANA for VRRP is:

   FF02:0:0:0:0:0:XXXX:XXXX

   This is a link-local scope multicast address.  Routers MUST NOT
   forward a datagram with this destination address regardless of its
   Hop Limit.

So the address is not fixed? A master virtual router can send adv to any
addr in this range, and a backup virtual router has to join all
multicast groups within this range? This doesn't sounds quite clear to me.

Can someone explain a bit to me? Thanks.
--
Huafeng
_______________________________________________
vrrp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vrrp

---

From: "John Cruz (johcruz)" <[email-masked]>
Date: Wed, 20 Aug 2008 10:29:54 -0700

Please see Section 13. The address to be used is FF02::12.

John

13.  IANA Considerations

   VRRP for IPv6 needs an IPv6 link-local scope multicast address
   assigned by the IANA for this specification.  The IPv6 multicast
   address should be of the following form:

      FF02:0:0:0:0:0:XXXX:XXXX

   The values assigned address should be entered into section 5.1.2.2.

   A convenient assignment of this link-local scope multicast would be:
      FF02:0:0:0:0:0:0:12

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Huafeng Lu
> Sent: Wednesday, August 20, 2008 2:26 AM
> To: [email-masked]
> Subject: [VRRP] ipv6 multicast address
> 
> 
> Hi,
>

---

From: Huafeng Lu <[email-masked]>
Date: Thu, 21 Aug 2008 11:25:05 +0800

> Please see Section 13. The address to be used is FF02::12.

Thanks John. But this is only a "convenient assignment". Although I 
guess most implementation will just use ff02::12 for sending, it's 
possible that someone will send to ff02::13 or sth else.

So why a block of addresses (not a single address instead) was assigned 
for VRRP in the first place?

---

From: "John Cruz (johcruz)" <[email-masked]>
Date: Wed, 20 Aug 2008 21:39:47 -0700

Hi,

According to RFC 3307, a reserved multicast address should be of the
format FF02::<GROUPID-32bits>. This is what is indicated in the VRRP
draft. The Xs don't refer to a block.

Moreover, this statement is under the "IANA Considerations". It is for
IANA to assign this address. To the best of my knowledge, this will be
the
address assigned by IANA. But I don't know when it will be assigned
though.

Hope this helps.
John

> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, August 20, 2008 8:25 PM
> To: John Cruz (johcruz)
> Cc: [email-masked]
> Subject: Re: [VRRP] ipv6 multicast address
> 
> >> So the address is not fixed? A master virtual router can send adv
to
> >> any
> >> multicast groups within this range? This doesn't sounds quite clear
> to
> >> me.
> >>

---

From: Huafeng Lu <[email-masked]>
Date: Thu, 21 Aug 2008 12:44:03 +0800

> address assigned by IANA. But I don't know when it will be assigned

Yes that makes sense. Thanks for the explanation!

---

From: "Mukesh Gupta" <[email-masked]>
Date: Thu, 21 Aug 2008 00:45:49 -0700

The IANA assignments are done when the draft is published as an RFC.

John is right. The IANA will assign the address suggested in the draft.

Regards
Mukesh

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
John Cruz (johcruz)
Sent: Wednesday, August 20, 2008 9:40 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [VRRP] ipv6 multicast address

Hi,

Hope this helps.
John

to